Skip to main content
GET
This applies only to jobs that use a workflow with a local source and a local destination.
To download a file’s output from the last workflow node in a job run:
  • Do not specify a node_id argument. The last workflow node will be used by default.
  • Use the get job endpoint to get the job’s details. The file’s Unstructured ID will be in the response’s input_file_ids array.
To download a file’s output from a specific workflow node in a job run:
  • Use the get job endpoint to get the job’s details:
    • The file’s ID will be in the file_id field in the response’s output_node_files array
    • The node’s ID will be in the node_id field in the response’s output_node_files array
Currently, you cannot use Unstructured Pipelines to download a file from a job that uses a workflow with a local source and a local destination.

Path parameters

string
required
The unique identifier of the job.

Query parameters

string
required
The ID of the output file to download.
string
Filter by the node that produced the output file. The default is the last workflow node.